# Timeline

#### new Cesium.Timeline(container, clock)
Widgets/Timeline/Timeline.js 88

The Timeline is a widget for displaying and controlling the current scene time.

Name | Type | Description
--- | --- | ---
`container` | Element | The parent HTML container node for this widget.
`clock` | Clock | The clock to use.

### Members

#### container : Element
Widgets/Timeline/Timeline.js 106

Gets the parent container.

### Methods

#### destroy()
Widgets/Timeline/Timeline.js 202

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/Timeline/Timeline.js 194

##### Returns:

true if the object has been destroyed, false otherwise.

#### resize()
Widgets/Timeline/Timeline.js 826

Resizes the widget to match the container size.

#### zoomTo(startTime, stopTime)
Widgets/Timeline/Timeline.js 248

Sets the view to the provided times.

Name | Type | Description
--- | --- | ---
`startTime` | JulianDate | The start time.
`stopTime` | JulianDate | The stop time.